Sometimes, | submit an issue, but down the road am no longer responsible for tracking it. I'd like to be able to change the owner of
the issue so that | no longer receive emails on the issue and it is clearer who is responsible for tracking issue. The new owner can
already make themselves watcher to get the emails but this change would eliminate that step.

workaround

Use Plugin or patch

https://github.com/rgtk/redmine_editauthor

journals

A related use case is one where somebody creates an issue for somebody else. For instance
when somebody mails me an issue, | don't want to reply ‘create a ticket' but want to be

able to add it myself and make him or her the issue owner.

Vincent de Lau wrote:

A related use case is one where somebody creates an issue for somebody else. For instance when somebody mails me an
issue, | don't want to reply ‘create a ticket' but want to be able to add it myself and make him or her the issue owner.

| don't really understand the point. You have a field called "Assigned to" which is perfect
for this purpose no ? And if you don't want to receive mail for a specific issue why don't
you click on "Unwatch" action ? I'm wondering if | missed something here...

The case Vincent was making is the same point | made in #2035. If someone calls me with
a support request | want to make a ticket with the caller as the author, not me. | only

entered it.

That was exactly my point and #2035 describes the problem even better.

Indeed | don't understand why author and assignee auto-watching does not use the global
watching mecanism. It would be much simpler to get automatically added to the list of
watchers when you open an issue or when your are assigned to it, so that you can latter
resign from watching it using the same simple mecanism. Can someone explain the current
state of things please ?

So what ? Is something planned to be able to modify the auther/recorder of an issue ?
https://github.com/rgtk/redmine_editauthor

TX

+1 on both issues - would like to be able to put issues under the correct persons name (as
the author) because he/she is typically the one who is asked to confirm that the problem is
resolved.

+1
Is any work being done on this issue? Maybe as a plugin?

+1 1 too think this is important and hope this will be added to the 1.0 Release.

I have made a patch which probably does what you guys are referencing in this issue. It allows to change the author of an issue.
This is possible only when an user has permission "Edit author" (added by patch).

Field Author was renamed to Responsible which in case of our company better shows that
the person is responsible for tracking the issue. Patch is applicable to Redmine
0.9.2.stable.27112

+1

It happens to me all the time. | create issues on behalf of other people and then have to
suffer all the notifications if not want to echo the project completely off

Vladimir Kovacik wrote:

I have made a patch which probably does what you guys are referencing in this issue. It allows to change the author of an
issue. This is possible only when an user has permission "Edit author" (added by patch).

Field Author was renamed to Responsible which in case of our company better shows that the person is responsible for
tracking the issue. Patch is applicable to Redmine 0.9.2.stable.27112
Great Patch! | was just about to do this myself.

Works fine in 0.9.4.stable also :)

PS: | changed "Responsible” to "Reported By" as my clients didn't like the idea of being
responsible... :P

bg. @map.permission :edit_issue_author, {}@
in @lib/redmine.rb@.
Doesn't this need @:require => :loggedin@ or something like that?

And | also think "Author" is better than "Responsible" because the Assignee is actually responsible for doing the task ;-)

Please include this (or #2035) in the next major release.

I don't think there's a consensus here (at least | disagree). Maybe there could be plugin facilities, or enhanced custom fields to
handle use-cases you report. But I'm still convinced that we should not provide the ability to change the author.

The author is the person who filled the ticket, it's like that, it's just the reality. If you need the author to be the guy himself, give him
access to your Redmine. If he's just "the target" or "the final client” or whatever, build a custom field for that, or even a plugin if you
need a custom source or dynamic things. You can even not display author anywhere if it doesn't matter to you, but in 99% of the
cases | can think of, it just doesn't make any sense to change the original author of an issue.

The next step would be to allow changing the author of each comment on a ticket, which
seems absurd to me. It's the same problem. "Bob left a comment. Hm, | don't like that. OK,
let's say Alice left that comment. Done. Cool."

There are two roles to keep apart here, the author and the reporter. | agree that the author shouldn't be changeable, but the
reporter role is different. I'd be even happy if | can only select this one on creation time, but there are enough use cases where
you'd want a different reporter then the author. Walk-ins, phone and email submitted issues are among the real world examples
that lead to this request and #2035. In an ideal world, all reporters would use Redmine directly, but the world is not ideal...

Also, a comment is something completely different than an issue. An issue changes over
time (state, assignee etc.) while a comment is something you add to an issue while time
progresses.

Agreed about the comments. About the author/reporter difference, | understand. | wonder
if it could be integrated easily (keeping the two roles).

I'll add a +1 here. Definitely needs its own permission in order to change it, but Vincent
and the others, author != reporter in all cases.

| agree that author != reporter
Still, this issue is also about notifications. If | have to submit a ticket on behalf of someone else (due to walk-in, phone or mail) but

the original reporter is supposed to oversee the progress of the issue and I'm not really involved in it anymore, then | don't want to
get notification mails about changes.

About the comments: | don't see a lot of value in being able to change the comment author.
| someone sends me a mail with a comment about a certain issue, | add a comment to the
issue quoting that person. That's good enough.
Paul Rivier wrote:
Indeed | don't understand why author and assignee auto-watching does not use the global watching mecanism. It would be
much simpler to get automatically added to the list of watchers when you open an issue or when your are assigned to it, so

that you can latter resign from watching it using the same simple mecanism. Can someone explain the current state of things
please ?

This seems like the middle path - add the author as a watcher and allow him/her to
unwatch. If he has permissions then he can add the walk in person as watcher.

+1 for this feature!

| think changing autor or setting him during creation of an issue is very important, it is a
common use case when we have phone calls with issues and we want to put them into
redmine immediately. Sometimes users, even if they have account, they are afraid of using
task management systems, so issues must be physically entered by developers or help
desk.

Hello.
I've used the patch from Vladimir, the field is editable, but nothing really happens after submitting. The permissions are correctly
assigned.

Using version 1.0.1

I am always looking for this feature. | have upgraded to Redmine 1.0.3 last week.
X

+1
Hi,

after experiencing the same behavior like Alois, I'm uploading an updated version of the
patch above. Works for me, Redmine version 1.0.4.

+1 very useful!!l

+1 - Very usefull

A small bug: if changing the author during new issue creation - it is not saved. | have to
edit the issue afterwards to change the author. (Redmine 1.0.5)

"Version 1.2":http://www.redmine.org/projects/redmine/versions/27 please?

When an employee, that has submitted some issues, left the company, i need to change the
author of the issues by the new employe. For instance, i did it by hand within the
database...

I've build an Plugin, that will change the author in redmine 1.1.x, thx for review!

[[[http://www.redmine.org/plugins/redmine_changeauthor]]]
+1

I manage a group of developers and help Project Managers use Redmine. | frequently create issues for my team, but | don't want to
get updates on every single issue just because | created the issue. | would like to set the PM as the author so she and the assigned
programmer get the updates. | currently have 150+ open issues | authored, but | only want/need to get updates on about 20 of
them.

My only work-around is to send an email to the PM and ask her to create a new issue by copy-pasting my email. Very inefficient.

Thanks.

In app/views/issues/_attributes.rhtml we use "project.users"” not "issue.assignable _users"
because authors are not always assignable users.

+1

Definitely agree that the distinction between author and reporter is a hecessary one and should be in the trunk.
-The author is the one who entered the issue, he's responsible for entering it correctly. This can't be changed since it's just an audit
information.

-The reporter is the one who is the originator of the issue, he is the "owner" of the issue
and is responsible for validating any fix. This one may be different from the author
(because the author may have been entering the issue on behalf of someone else) and may
also be updated (because the owner of an issue may change for a number of reasons
during the lifetime of the issue)

+1

I was looking for info on how to change the author for a phone-entered ticket.
I would love to see a separate author and reporter.
The author is just so that we know who entered it and the reporter is the one who actually experienced the issue.

Another was to phrase this is "author on behalf of reporter"

related to #7487
Yes, there should be an destinction between who just created the ticket and who reported it. In fact in support center case with
telephone reporting, never the reporter will create the ticket, but the author will know him and could manually set the reporter
attribut. In case the author shall be a web service (e.g. a via a web form which will creat issues inperonisating some reporter, whoh
can't/ or don't want access redmine gui directly, this is very useful.

Yehuda Katz wrote:

I was looking for info on how to change the author for a phone-entered ticket.

I would love to see a separate author and reporter.

The author is just so that we know who entered it and the reporter is the one who actually experienced the issue.
Another was to phrase this is "author on behalf of reporter”

+1
+1
SPAM SQUASHING
+1
+1
+1
+1

+1
+1
+1
+1

I'm looking to enable the scenario in #6373 as well as allowing users to report an issue on
behalf of someone else in the Ul.

+1.
Did anyone made the patch for 1.4?
+1

Should be restricted to Managers and Developers
or
separate fields for creator/reporter of issue is good too

This would be useful for us, because | want reporters to get email updates (but are not
regular users of redmine).

+1
+1
+1
I am in favor of the "Change Author" functionality.

The key here is email traffic and who gets the notifications. | like to get emails for things |
am the owner of and do not want that to change. However, when | create an issue on
someone else's behalf, | do not want to get emails on that issue as if | was the owner. If
there are other reasons of concern here (which are indicated in comments above),
changing owner may not necessarily be required functionality--simply specifying the
owner/reporter of an issue at creation time would be enough. That said, | am more in favor
of the "Change Author"

+1

no matter how, there should be a way to prevent authors getting email notifications of
issues there not concerned with (any more).

+1
+1
+1
+1

+1
+1 Very very need it!
+1

Didn't see someone assigned the issue to me. Please don't do that, it's the best way to
completely lose a ticket. | see there are a few valid use cases but I still think it should be
implemented as a plugin or made optionnal if integrated in core. Btw, it seems nobody has
the time/energy/money to work on this seriously for the moment...

This is a very basic and very needed feature - number of duplicated requests does confirm that. It's almost 5 years from the initial
request. | do not understand.

Is implementing a single dropdown/box/whatever for the current owner/author to transfer the issue ownership such a great pain?

What is the holdup?

Burt Culver wrote:

I'd like to be able to change the owner of the issue so that | no longer receive emails on the issue

The very question is show above!
I think that this bug can be closed as dupe of bug #11405.

My explanation: add ability to change bug opener\owner isn't a good choice because the BTS should be track the hystory of a bug
(then also who open it).

But also if | have open the bug, for some reason, it is legitimate not want to receive more mail alert after a day.

The solution for this question is to provide the same behavior of bugzilla as reported in bug #11405: when user open\edit a bug
can flag\unflag an option that sound as "add me as watcher". In bugzilla when user open\edit a bug this flag is per default true as
show in bug #11405, but user can unflag it if want.
No pasquale [:dedalus]! Author tasks should be able to transfer it to another user (the author may leave the project, resign, die,
finally).

This is a very high demand functionality!
Pavel Lautsevich wrote:

No pasquale [:dedalus]! Author tasks should be able to transfer it to another user (the author may leave the project, resign,
die, finally).

Ciao Pavel.

I don't agree: author of issue isn't a special user. If author don't want track anymore its created issue, as in request #11405, he can
unflag "watchs" (as in mozilla bugzilla). We are inform about people that track bug from watchers list (see #11405) and about the
user that manage the issue via the assignee.

But this is only my 2 cents (based on bugzilla, jira, etc approach)

pasquale [:dedalus], just exactly in Jira you can change the author! | don't agree with and
this functionality is in demand for me.

Our use case for this : we use redmine for project tracking.
We have a "template" project which an administrator copies for a project manager when a project starts.

The administrator (the one making the copy) automatically becomes the owner of all the tasks in the project - even if he's not
otherwise involved.

We'd love to be able to specify the owner when making a copy... or allowing a manager to make copies without having to give them
full-out administrative powers.

We'll "solve" this issue by creating a dummy admin user to create copies and send the emails in a black hole, but being able to
change the owner would help.

Or at the very least, allow the admin to have a bit more control over the email he receives.
As far as | know, he has no option to make himself "non-involved" in these issues and stop
receiving emails.

This plugin works for 2.3.1: https://github.com/thorin/redmine_changeauthor

My only complaint is that it doesn't generate a trackable event (journal?), so there is no
record of the transaction nor email notification. It simply changes the author.

Kris Lou wrote:

This plugin works for 2.3.1: https://qithub.com/thorin/redmine_changeauthor

My only complaint is that it doesn't generate a trackable event (journal?), so there is no record of the transaction nor email
notification. It simply changes the author.

Thanks for the link. There is an option in the plugin settings to add an event to the journal.

(And +1 to add this feature to the roadmap :) )

+1 for this feature

Patch updated for Redmine 2.1.6
This plugin works for 2.4.2: https://github.com/mcl-de/redmine_change_issue_author

it's a port of the patch ;)

and the behavior should be the same
+2

Eric Maziade wrote:

Kris Lou wrote:

This plugin works for 2.3.1: https://github.com/thorin/redmine_changeauthor

My only complaint is that it doesn't generate a trackable event (journal?), so there is no record of the transaction nor
email notification. It simply changes the author.
Thanks for the link. There is an option in the plugin settings to add an event to the journal.

(And +1 to add this feature to the roadmap :) )

Hello,
The plugin does not works with my 2.3.1. Indeed, when | want to configure it or want to open a issue, | get a 404 error.

I guess it is linked with #7430#11 but it's a bit creepy...
Is there a chance the redmine_cnahge_issue_autor works for the 2.3.1?

Thanks

I had reset my redmine to 2.3.1 and tested the plugin.
but I got no error ...

could you please give me the error log -> redmine/log/production.log
did you run: bundle install ?

Hey there!

My problem is with Mr. Jung's plugin is that after restarting apache2 Ruby on Rails cannot start. | have an otherwise perfectly
working Redmine 2.4.1

Other info:

Redmine version 2.4.1.stable

Ruby version 1.8.7-p352 (2011-06-30) [x86_64-linux]
Rails version 3.2.16

Environment production

Database adapter MySQL

Any ideas? Thank you in advance. (I also attached a screenshot of the error, and yeah | see
that nokogiri is missing but if | go down that road a lot of other stuff starts missing.)

the error message says: you have to install nokogiri >= 1.5.5

try: gem install nokogiri

Sooo, my problem is mainly off topic. (I created a puppet process to install a fully working redmine but it's degrading my ruby to
1.8.7 which is not good for nokogiri etc.)

Thanks by the way!
Hello

I've installed plugin https://github.com/mcl-de/redmine_change_issue_author. I've found place where | can give permsion 'Edit
issue author', but I still can't find the place where can | change issue author.

Thanks for help.

at the issue?

look at the image.
Frederik Jung wrote:

I had reset my redmine to 2.3.1 and tested the plugin.
but I got no error ...

could you please give me the error log -> redmine/log/production.log
did you run: bundle install ?
I was talking about the changeauthor plugin and not the change_issue_author one.
I have now installed (in fact | asked my IT administrator to do it, | have no access to the servor :-(() the change_issue_author plugin
BUT I have the same problem as Michat Senderowski. Cf. my image.
I don't think so but can it be linked to the language?
Michat Senderowski wrote:

Hello

I've installed plugin https://github.com/mcl-de/redmine_change_issue_author. I've found place where | can give permsion
'Edit issue author’, but | still can't find the place where can | change issue author.

Thanks for help.

ok, sorry about that :p
could you please tell me more about your setup ... like redmine info?
which version of nokogiri is installed?

did you have a modified [/app/views/issues/_attributes.html.erb]
or does modify another plugin this file?

I haven't got field author.

My Redmine info:
Environment;

Redmine version 2.3.2.stable.12071

Ruby version 1.8.7-p352 (2011-06-30) [x86_64-linux]
Rails version 3213

Environment production

Database adapter Mysql2

Redmine plugins:
redmine_change_issue_author 0.0.1
redmine_ldap_sync 2.0.2.devel.g5c00b31622-dirty

I have nogiri in version 1.5.5.

| did not modify [/app/views/issues/_attributes.html.erb]. Should | modify it ?

I'm also experiencing an issue on redmine 2.4.3.
The author field doesn't show up when updating the page, however there is a link called "Update author” - see the image below.
Following the link results in a 500 however, here's the stack trace:

Started GET "/changeauthor/index?issue_id=30" for 82.15.175.41 at 2014-02-11 20:19:18 +0000
Processing by ChangeauthorController#index as HTML

Parameters: {"issue_id"=>"30"}

Current user: arthur (id=4)

Completed 500 Internal Server Error in 16.4ms

NoMethodError (undefined method project_id' for #<ActiveRecord::Relation:0x0000000719b9d0>):
activerecord (3.2.16) lib/active_record/relation/delegation.rb:45:inmethod_missing'
plugins/redmine_changeauthor/app/controllers/changeauthor_controller.rb:7:in index’
actionpack (3.2.16) lib/action_controller/metal/implicit_render.rb:4:insend_action’

actionpack (3.2.16) lib/abstract_controller/base.rb:167:in process_action'

actionpack (3.2.16) lib/action_controller/metal/rendering.rb:10:inprocess_action'

actionpack (3.2.16) lib/abstract_controller/callbacks.rb:18:in block in process_action'
activesupport (3.2.16) lib/active_support/callbacks.rb:469:inrun2813722203579391689process_action2722617602805932813
callbacks'

activesupport (3.2.16) lib/active_support/callbacks.rb:405:in “run_callback’

activesupport (3.2.16) lib/active_support/callbacks.rb:385:in _run_process_action_callbacks'
activesupport (3.2.16) lib/active_support/callbacks.rb:81:inrun_callbacks'

actionpack (3.2.16) lib/abstract_controller/callbacks.rb:17:in process_action'

actionpack (3.2.16) lib/action_controller/metal/rescue.rb:29:inprocess_action’

actionpack (3.2.16) lib/action_controller/metal/instrumentation.rb:30:in block in process_action'
activesupport (3.2.16) lib/active_support/natifications.rb:123:inblock in instrument’
activesupport (3.2.16) lib/active_support/notifications/instrumenter.rb:20:in instrument’
activesupport (3.2.16) lib/active_support/notifications.rb:123:ininstrument'

actionpack (3.2.16) lib/action_controller/metal/instrumentation.rb:29:in process_action’
actionpack (3.2.16) lib/action_controller/metal/params_wrapper.rb:207:inprocess_action'
activerecord (3.2.16) lib/active_record/railties/controller_runtime.rb:18:in process_action'
actionpack (3.2.16) lib/abstract_controller/base.rb:121:inprocess’

actionpack (3.2.16) lib/abstract_controller/rendering.rb:45:in process'

actionpack (3.2.16) lib/action_controller/metal.rb:203:indispatch’

actionpack (3.2.16) lib/action_controller/metal/rack_delegation.rb:14:in dispatch’

actionpack (3.2.16) lib/action_controller/metal.rb:246:inblock in action'
actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:73:in call'
actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:73:indispatch’
actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:36:in call'

journey (1.0.4) lib/journey/router.rb:68:inblock in call’

journey (1.0.4) lib/journey/router.rb:56:in each'

journey (1.0.4) lib/journey/router.rb:56:incall’

actionpack (3.2.16) lib/action_dispatch/routing/route_set.rb:608:in call'
rack-openid (1.4.2) lib/rack/openid.rb:98:incall’

actionpack (3.2.16) lib/action_dispatch/middleware/best_standards_support.rb:17:in call'
rack (1.4.5) lib/rack/etag.rb:23:incall’

rack (1.4.5) lib/rack/conditionalget.rb:25:in call'

actionpack (3.2.16) lib/action_dispatch/middleware/head.rb:14:incall’
actionpack (3.2.16) lib/action_dispatch/middleware/params_parser.rb:21:in call’
actionpack (3.2.16) lib/action_dispatch/middleware/flash.rb:242:incall’

rack (1.4.5) lib/rack/session/abstract/id.rb:210:in context'

rack (1.4.5) lib/rack/session/abstract/id.rb:205:incall'

actionpack (3.2.16) lib/action_dispatch/middleware/cookies.rb:341:in call’
actlverecord (3.2.16) I|b/act|ve record/query_ cache rb:64:incall'

actionpack (3. 2 16) lib/action dlsoatch/mlddleware/calIbacks rb:28:inblock in caII

activesupport (3.2.16) lib/active_support/callbacks.rb:405:in °_run173549760009239244call2787787754557319768callbacks'
activesupport (3.2.16) lib/active_support/callbacks.rb:405:in °_run_callback’
activesupport (3.2.16) lib/active_support/callbacks.rb:385:in _run_call_callbacks'
activesupport (3.2.16) lib/active_support/callbacks.rb:81:inrun_callbacks'
actionpack (3.2.16) lib/action_dispatch/middleware/callbacks.rb:27:in call'
actionpack (3.2.16) lib/action_dispatch/middleware/remote_ip.rb:31:incall'
actionpack (3.2.16) lib/action_dispatch/middleware/debug_exceptions.rb:16:in call’
actionpack (3.2.16) lib/action_dispatch/middleware/show_exceptions.rb:56:incall’
railties (3.2.16) lib/rails/rack/logger.rb:32:in call_app’

railties (3.2.16) lib/rails/rack/logger.rb:18:incall’

actionpack (3.2.16) lib/action_dispatch/middleware/request_id.rb:22:in call'
rack (1.4.5) lib/rack/methodoverride.rb:21:incall’

rack (1.4.5) lib/rack/runtime.rb:17:in call’

activesupport (3.2.16) lib/active_support/cache/strategy/local_cache.rb:72:incall’

rack (1.4.5) lib/rack/lock.rb:15:in call’

actionpack (3.2.16) lib/action_dispatch/middleware/static.rb:63:incall’

rack-cache (1.2) lib/rack/cache/context.rb:136:in forward'

rack-cache (1.2) lib/rack/cache/context.rb:245:infetch’

rack-cache (1.2) lib/rack/cache/context.rb:185:in lookup'

rack-cache (1.2) lib/rack/cache/context.rb:66:incall!"

rack-cache (1.2) lib/rack/cache/context.rb:51:in call'

railties (3.2.16) lib/rails/engine.rb:484:incall’

railties (3.2.16) lib/rails/application.rb:231:in call’

railties (3.2.16) lib/rails/railtie/configurable.rb:30:inmethod_missing'

passenger (4.0.37) lib/phusion_passenger/rack/thread_handler_extension.rb:77:in process_request’
passenger (4.0.37) lib/phusion_passenger/request_handler/thread_handler.rb:142:inaccept_and_process_next_request’
passenger (4.0.37) lib/phusion_passenger/request_handler/thread_handler.rb:110:in main_loop’
passenger (4.0.37) lib/phusion_passenger/request_handler.rb:448:inblock (3 levels) in start_threads’

Making the changes below to config/routes.rb | was able to have the "changeauthor™:
https.//github.com/thorin/redmine_changeauthor plugin work without 404 errors on redmine 2.4.4

I have submitted a pull request for the changes.

config/routes.rb ->

RedmineApp::Application.routes.drawl do

O O getO '/changeauthor/edit/:id'0 =>0 ‘changeauthor#edit’,0 :aslJ =>[1 'edit_changeauthor’

O O putO '/changeauthor/update/:id'0 =>0 'changeauthor#update’,[] :ast] =>[ ‘changeauthor"
end

The change by David Robinson does not help in redmine 2.5.2, | still get 404 error

Hi

it doesn't work with redmine 3

Right, problem with version 3.0.1

ActiveRecord::RecordNotFoundd (Couldn'tC findO alld MembersO with( ‘'id":0

(all,d {sinclude=>[:roles,O :principal],d :order=>"firstname",[J :conditions=>"users.type='"User"})d
[WHEREO "members’. project_id 0 =0 ?00 ANDO (users.status=1)]0 (foundO 00O results,0 butO was[ looking[ ford 2)):

Please add patch to work with 3.0.1

+1 for this feature. We use Redmine as a HelpDesk solution and with rotating staff would
really benefit from this. | can see Author changes being tracked much like Status changes
are tracked now.

Here is a patch for Redmine 3.1.0 (be careful, there are changes compared to 3.0.*), which works on our pre-production server.

| stripped the original patch of a change on showing "added time", and | added French translation for the new right.
We're using MS SQL 2012 as our DB system.

[edit: | should have named my patch v3.1.0.patch...]
Olivier Houdas wrote:

Here is a patch for Redmine 3.1.0 (be careful, there are changes compared to 3.0.*), which works on our pre-production
server.
https://github.com/thorin/redmine_changeauthor

The patch can be applied to the current trunk without any problems and works fine.
Thanks.

Olivier Houdas wrote:

Here is a patch for Redmine 3.1.0 (be careful, there are changes compared to 3.0.*), which works on our pre-production
server.

| stripped the original patch of a change on showing "added time", and | added French translation for the new right.
We're using MS SQL 2012 as our DB system.

[edit: | should have named my patch _v3.1.0.patch...]

Nice!
Applied patch, it worked ok, with one reject, but file was modified.
@/opt/redmine/redmine-ri-3.0.1/app/views/issues/show.html.erb.rej@

---00 app/views/issues/show.html.erb0 O Sun Juld 2600 07:10:5500 20150 +0000
+++0 app/views/issues/show.html.erb O Thul Aug 060 16:55:230 20150 +0200
@@0 -35,600 +35,70 @@

0

0

<%= issue_fields_rows do jrows;} + rows.left I(:field_author), @issue.author, :class => 'author' rows.left I(:field_status),
@issue.status.name, :class => 'status' rows.left I(:field_priority), @issue.priority.name, :class => 'priority’

Warning: With Redmine 3.2.0, issues with Anonymous author will be updated to the first user available when this patch is active
and the issue is updated with a user having the edit_issue_author right.
This is due to a change in Redmine filtering the user list on active users only: see #21477.

So the patch should be changed for Redmine 3.2.0 and above users to add the original author manually in
views/issues/_attributes.html.erb, so that it doesn't get changed accidentally if it became inactive between creating the issue and
the latest edit:

<%= f.select :author_id, (@issue.assignable_users.collect {{m; [m.name, m.id]} *<< [@issue.author.name, @issue.author.id]*),
:include_blank => false, :required => true %>

[edited 2016-01-27 19:27] given the change done in #21477, it is actually safer to force
having the original author in the list so as not to lose it accidentally, rather than adding
Anonymous.

+1
+1

+1 - anyone have a patch for latest redmine that works? Just updated from 2.x - where |
was using http://www.redmine.org/plugins/redmine_change_issue_author - but that
stopped working with redmine 3.x :(

over 150 comments, looks like something desired by many users, maybe could get a bit
higher priority?

+1

Yes, please. Please add a feature where the author of the issue can be changed. Now it's just too much hassle to edit manually the
issues-table and change the author_id to the desired author..
http://www.redmine.org/plugins/redmine_change_issue_author

Unfortunately i don't know python, so i can't fix the plugin ;_(
+1
Here's my fork and it's working with 3.x.

https://github.com/woblavobla/redmine_changeauthor

I am currently using this plugin :
https://github.com/rgtk/redmine_editauthor

I am going to test the one from Andrey Lobanov and see how it works.
+1

+1

+1

it should be added in core

+1

It's definitely the feature we are missing the most from redmine. So | second the move to
add it as core functionality.

+1

+1

Any plugins confirmed working for redmine 4.X?

We are using this plugin with 4.1.0 without any issues.

https://github.com/rgtk/redmine_editauthor.git

We are using this plugin with 4.1.0 without any issue

Yes, we have that installed, too. It works well with one feature lacking, though: We use
Redmine as a tool where any employee of our company can log an issue but only a small
set of developers and testers are actually members of the project. The plugin does not
allow to set any author but restricts the list to the project members (plus global admins, if |
recall correctly). The feature we are looking for should be able to set any registered
redmine user as the author.

+1
+1 for integrating this as core functionality

+1

I made a patch that works on v4.2.1.

Added some changes and tests to the previously posted patch.
https://github.com/woblavobla/redmine_changeauthor
https://github.com/rgtk/redmine_editauthor
https://github.com/rgtk/redmine_editauthor.git

Updated the patch for the latest trunk.

But the patch unexpectedly changes the author to "<< me >>" if the current author is
Anonymous. This has already been pointed out in #1739#note-149.

But the patch unexpectedly changes the author to "<< me >>" if the current author is Anonymous. This has already been
pointed out in #1739#note-149.

I have attached a patch that fixes this problem.

Also, if you specify a different user as Author when creating a issue, the Journal will be
created in the same way as when updating. This is a function to keep a record of the user
who actually created the issue.

Setting the target version to 5.0.0.

I've tried the patch from #note-178 and as far as | can see it works as expected. It's a nice
feature.

related_issues

relates,Closed,6373,Can't Set author_id When Creating New Issue Through REST API
relates,New,4805,Replace original "Added by" in Issue Copy function

relates,New,7896,submit issue on behalf of other user

relates,New,31106,Issue import should allow for importing the author and creation date fields, too.
relates,New,11294,0ption to choose the Issues owner on copy project
relates,Closed,12022,Change/Update author when an issue is re-opened to the person who re-opens
duplicates,New,2035,Issue reporter should be editable

duplicates,Closed,3642,Make author field modifiable

duplicates,Closed,3799,Change the author of an issue

duplicates,Closed,9701,Separate issue author and reporter

duplicates,Closed,14465,Change author in redmine

duplicates,Closed,23460,Changing the owner of an issue

oo

#1 - 2022/05/10 17:28 - Admin Redmine
-0D000 O Issues 20000
-0000000 O Candidate for next major release_32 00 00

#2 - 2022/05/11 13:59 - Admin Redmine
- workaround 00 0 O
-journals 0 O O

- related_issues 0 0 O
